- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Lists Agents in a given project and location.
HTTP request
GET https://agentregistry.googleapis.com/v1alpha/{parent=projects/*/locations/*}/agents
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Parent value for ListAgentsRequest |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. |
pageToken |
Optional. A token identifying a page of results the server should return. |
filter |
Optional. Filtering results |
orderBy |
Optional. Hint for how to order the results |
Request body
The request body must be empty.
Response body
Message for response to listing Agents
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"agents": [
{
object ( |
| Fields | |
|---|---|
agents[] |
The list of Agents. |
nextPageToken |
A token identifying a page of results the server should return. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/cloud-platform.read-onlyhttps://www.googleapis.com/auth/agentregistry.read-writehttps://www.googleapis.com/auth/agentregistry.read-only
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
agentregistry.agents.list
For more information, see the IAM documentation.